summaryrefslogtreecommitdiffstats
path: root/libraries/libx86emu
diff options
context:
space:
mode:
author Heinz Wiesinger2010-05-13 00:59:00 +0200
committer David Somero2010-05-13 00:59:00 +0200
commit335ed44c91f4e2317651d0756ad239cbe7cd56b4 (patch)
treee9e7086e5dc8c76e471bcfdc7e99aa8abc1559f1 /libraries/libx86emu
parent61f7c1665a8ab4528eff371d5f16c2b68b11d0c1 (diff)
downloadslackbuilds-335ed44c91f4e2317651d0756ad239cbe7cd56b4.tar.gz
libraries/libx86emu: Added to 13.0 repository
Diffstat (limited to 'libraries/libx86emu')
-rw-r--r--libraries/libx86emu/README2
-rw-r--r--libraries/libx86emu/libx86emu.SlackBuild81
-rw-r--r--libraries/libx86emu/libx86emu.info10
-rw-r--r--libraries/libx86emu/slack-desc19
4 files changed, 112 insertions, 0 deletions
diff --git a/libraries/libx86emu/README b/libraries/libx86emu/README
new file mode 100644
index 0000000000..bfe0f6d556
--- /dev/null
+++ b/libraries/libx86emu/README
@@ -0,0 +1,2 @@
+Small x86 emulation library with focus of easy usage and extended
+execution logging functions. \ No newline at end of file
diff --git a/libraries/libx86emu/libx86emu.SlackBuild b/libraries/libx86emu/libx86emu.SlackBuild
new file mode 100644
index 0000000000..767388a780
--- /dev/null
+++ b/libraries/libx86emu/libx86emu.SlackBuild
@@ -0,0 +1,81 @@
+#!/bin/sh
+
+# Slackware build script for libx86emu
+
+# Copyright 2009-2010 Heinz Wiesinger, Amsterdam, The Netherlands
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=libx86emu
+VERSION=1.1
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+# use our CFLAGS
+sed -i "s/-O2/$SLKCFLAGS/" Makefile
+
+make \
+ LIBDIR=/usr/lib$LIBDIRSUFFIX
+
+make \
+ LIBDIR=/usr/lib$LIBDIRSUFFIX \
+ DESTDIR=$PKG \
+ install
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a Changelog LICENSE README VERSION \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libx86emu/libx86emu.info b/libraries/libx86emu/libx86emu.info
new file mode 100644
index 0000000000..a69fa57fb8
--- /dev/null
+++ b/libraries/libx86emu/libx86emu.info
@@ -0,0 +1,10 @@
+PRGNAM="libx86emu"
+VERSION="1.1"
+HOMEPAGE="http://git.opensuse.org/?p=people/snwint/libx86emu.git;a=summary"
+DOWNLOAD="http://www.liwjatan.at/files/src/hwinfo/libx86emu-1.1.tar.xz"
+DOWNLOAD_x86_64=""
+MD5SUM="e0a1a65c37c1f7bc50ffc6c72bbcc2d5"
+MD5SUM_x86_64=""
+MAINTAINER="Heinz Wiesinger"
+EMAIL="pprkut@liwjatan.at"
+APPROVED="dsomero"
diff --git a/libraries/libx86emu/slack-desc b/libraries/libx86emu/slack-desc
new file mode 100644
index 0000000000..1c14d0f886
--- /dev/null
+++ b/libraries/libx86emu/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler--------------------------------------------------|
+libx86emu: libx86emu (x86 emulation library)
+libx86emu:
+libx86emu: Small x86 emulation library with focus of easy usage and extended
+libx86emu: execution logging functions.
+libx86emu:
+libx86emu:
+libx86emu:
+libx86emu:
+libx86emu:
+libx86emu:
+libx86emu: